---
lang: en
title: 'API docs: authentication.authenticationoptions.defaultmetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authenticationoptions.defaultmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticationOptions](./authentication.authenticationoptions.md) &gt; [defaultMetadata](./authentication.authenticationoptions.defaultmetadata.md)

## AuthenticationOptions.defaultMetadata property

Default authentication metadata if a method or class is not decorated with `@authenticate`<!-- -->. If not set, no default authentication will be enforced for those methods without authentication metadata.

**Signature:**

```typescript
defaultMetadata?: AuthenticationMetadata[];
```

